### Method

# FwupdPlugin Device add_counterpart_guid

since: 1.1.2

#### Declaration [src]

    void
    fu_device_add_counterpart_guid (
      FuDevice* self,
      const gchar* guid
    )

#### Description [src]

Adds a GUID to the device. If the `guid` argument is not a valid GUID then it is converted to a GUID using fwupd_guid_hash_string().

A counterpart GUID is typically the GUID of the same device in bootloader or runtime mode, if they have a different device PCI or USB ID. Adding this type of GUID does not cause a “cascade” by matching using the quirk database.

Available since: 1.1.2

#### Parameters

`guid`

  Type: `const gchar*`

  A GUID, e.g. `2082b5e0-7a64-478a-b1b2-e3404fab6dad`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.